/*
Generated at 11/1/2002 4:38:06 PM by Interbase DataPump v 3.4
Please visit IB DataPump home/support page at http://www.clevercomponents.com

To execute this script:
1. Run IBConsole (or simular Interbase/Firebird tool which can execute srcipts)
2. Go to menu Tools->Interactive SQL 
3. Now in Interactive SQL window menu Query->Load Script select script created by IB DataPump
4. Once script loaded go to menu Query->Execute.
*/

 /* Select Option - select * from [A Table] */
 /* Option "Quote Field Names" is ON */
 /* Option "Copy Indexes and Primary Constraints" is ON */
 /* Option "Create Generators For AutoInc Fields" is ON */

/* For Interbase versions less than 6.0 you might need to delete next line. */
SET SQL DIALECT 3;

CREATE DATABASE 'E:\IBDataPump\MSSQLtoIB.gdb' USER 'SYSDBA' PASSWORD 'masterkey';

CREATE DOMAIN T_YESNO AS CHAR(1) DEFAULT 'N' CHECK((VALUE IS NULL) OR (VALUE IN ('N','Y')));

/* Original table name is "Alphabetical list of products" */
CREATE TABLE "ALPHABETICALLISTOFPRODUCTS" (
  "PRODUCTID" INTEGER NOT NULL /* "ProductID" */ ,
  "PRODUCTNAME" VARCHAR(40) NOT NULL /* "ProductName" */ ,
  "SUPPLIERID" INTEGER /* "SupplierID" */ ,
  "CATEGORYID" INTEGER /* "CategoryID" */ ,
  "QUANTITYPERUNIT" VARCHAR(20) /* "QuantityPerUnit" */ ,
  "UNITPRICE" NUMERIC(15,4) /* "UnitPrice" */ ,
  "UNITSINSTOCK" SMALLINT /* "UnitsInStock" */ ,
  "UNITSONORDER" SMALLINT /* "UnitsOnOrder" */ ,
  "REORDERLEVEL" SMALLINT /* "ReorderLevel" */ ,
  "DISCONTINUED" T_YESNO NOT NULL /* "Discontinued" */ ,
  "CATEGORYNAME" VARCHAR(15) NOT NULL /* "CategoryName" */
);

    /* Generators for AutoInc fields for table "Alphabetical list of products" */
    /* SELECT  max([Alphabetical list of products].[ProductID]) FROM [Alphabetical list of products] */

    CREATE GENERATOR "GEN_ALPHABETICALLISTOFPRODUCTS_PRODUCTID";
        SET GENERATOR "GEN_ALPHABETICALLISTOFPRODUCTS_PRODUCTID" TO 77;

    SET TERM ^;
    CREATE TRIGGER "TRIG_ALPHABETICALLISTOFPRODUCTS_BI" FOR "ALPHABETICALLISTOFPRODUCTS" BEFORE INSERT
    AS BEGIN
      IF(NEW."PRODUCTID" IS NULL) THEN NEW."PRODUCTID" = GEN_ID("GEN_ALPHABETICALLISTOFPRODUCTS_PRODUCTID",1);
    END ^
    SET TERM ;^

/* Original table name is "Categories" */
CREATE TABLE "CATEGORIES" (
  "CATEGORYID" INTEGER NOT NULL /* "CategoryID" */ ,
  "CATEGORYNAME" VARCHAR(15) NOT NULL /* "CategoryName" */ ,
  "DESCRIPTION" BLOB SUB_TYPE 1 /* "Description" */ ,
  "PICTURE" BLOB /* "Picture" */
);

    /* Indexes for table "Categories" */
    /* Found Index "PK_Categories", Options [ixPrimary,ixUnique] */
    ALTER TABLE "CATEGORIES" ADD CONSTRAINT "PK_CATEGORIES" PRIMARY KEY ("CATEGORYID");
    /* Found Index "CategoryName", Options [] */
    CREATE INDEX "CATEGORYNAME" ON "CATEGORIES" "CATEGORYNAME";

    /* Generators for AutoInc fields for table "Categories" */
    /* SELECT  max([Categories].[CategoryID]) FROM [Categories] */

    CREATE GENERATOR "GEN_CATEGORIES_CATEGORYID";
        SET GENERATOR "GEN_CATEGORIES_CATEGORYID" TO 8;

    SET TERM ^;
    CREATE TRIGGER "TRIG_CATEGORIES_BI" FOR "CATEGORIES" BEFORE INSERT
    AS BEGIN
      IF(NEW."CATEGORYID" IS NULL) THEN NEW."CATEGORYID" = GEN_ID("GEN_CATEGORIES_CATEGORYID",1);
    END ^
    SET TERM ;^

/* Original table name is "Category Sales for 1997" */
CREATE TABLE "CATEGORYSALESFOR1997" (
  "CATEGORYNAME" VARCHAR(15) NOT NULL /* "CategoryName" */ ,
  "CATEGORYSALES" NUMERIC(15,4) /* "CategorySales" */
);

/* Original table name is "Current Product List" */
CREATE TABLE "CURRENTPRODUCTLIST" (
  "PRODUCTID" INTEGER NOT NULL /* "ProductID" */ ,
  "PRODUCTNAME" VARCHAR(40) NOT NULL /* "ProductName" */
);

    /* Generators for AutoInc fields for table "Current Product List" */
    /* SELECT  max([Current Product List].[ProductID]) FROM [Current Product List] */

    CREATE GENERATOR "GEN_CURRENTPRODUCTLIST_PRODUCTID";
        SET GENERATOR "GEN_CURRENTPRODUCTLIST_PRODUCTID" TO 77;

    SET TERM ^;
    CREATE TRIGGER "TRIG_CURRENTPRODUCTLIST_BI" FOR "CURRENTPRODUCTLIST" BEFORE INSERT
    AS BEGIN
      IF(NEW."PRODUCTID" IS NULL) THEN NEW."PRODUCTID" = GEN_ID("GEN_CURRENTPRODUCTLIST_PRODUCTID",1);
    END ^
    SET TERM ;^

/* Original table name is "Customer and Suppliers by City" */
CREATE TABLE "CUSTOMERANDSUPPLIERSBYCITY" (
  "CITY" VARCHAR(15) /* "City" */ ,
  "COMPANYNAME" VARCHAR(40) NOT NULL /* "CompanyName" */ ,
  "CONTACTNAME" VARCHAR(30) /* "ContactName" */ ,
  "RELATIONSHIP" VARCHAR(9) NOT NULL /* "Relationship" */
);

/* Original table name is "CustomerCustomerDemo" */
CREATE TABLE "CUSTOMERCUSTOMERDEMO" (
  "CUSTOMERID" CHAR(5) NOT NULL /* "CustomerID" */ ,
  "CUSTOMERTYPEID" CHAR(10) NOT NULL /* "CustomerTypeID" */
);

    /* Indexes for table "CustomerCustomerDemo" */
    /* Found Index "PK_CustomerCustomerDemo", Options [ixPrimary,ixUnique] */
    ALTER TABLE "CUSTOMERCUSTOMERDEMO" ADD CONSTRAINT "PK_CUSTOMERCUSTOMERDEMO" PRIMARY KEY ("CUSTOMERID");

/* Original table name is "CustomerDemographics" */
CREATE TABLE "CUSTOMERDEMOGRAPHICS" (
  "CUSTOMERTYPEID" CHAR(10) NOT NULL /* "CustomerTypeID" */ ,
  "CUSTOMERDESC" BLOB SUB_TYPE 1 /* "CustomerDesc" */
);

    /* Indexes for table "CustomerDemographics" */
    /* Found Index "PK_CustomerDemographics", Options [ixPrimary,ixUnique] */
    ALTER TABLE "CUSTOMERDEMOGRAPHICS" ADD CONSTRAINT "PK_CUSTOMERDEMOGRAPHICS" PRIMARY KEY ("CUSTOMERTYPEID");

/* Original table name is "Customers" */
CREATE TABLE "CUSTOMERS" (
  "CUSTOMERID" CHAR(5) NOT NULL /* "CustomerID" */ ,
  "COMPANYNAME" VARCHAR(40) NOT NULL /* "CompanyName" */ ,
  "CONTACTNAME" VARCHAR(30) /* "ContactName" */ ,
  "CONTACTTITLE" VARCHAR(30) /* "ContactTitle" */ ,
  "ADDRESS" VARCHAR(60) /* "Address" */ ,
  "CITY" VARCHAR(15) /* "City" */ ,
  "REGION" VARCHAR(15) /* "Region" */ ,
  "POSTALCODE" VARCHAR(10) /* "PostalCode" */ ,
  "COUNTRY" VARCHAR(15) /* "Country" */ ,
  "PHONE" VARCHAR(24) /* "Phone" */ ,
  "FAX" VARCHAR(24) /* "Fax" */
);

    /* Indexes for table "Customers" */
    /* Found Index "PK_Customers", Options [ixPrimary,ixUnique] */
    ALTER TABLE "CUSTOMERS" ADD CONSTRAINT "PK_CUSTOMERS" PRIMARY KEY ("CUSTOMERID");
    /* Found Index "City", Options [] */
    CREATE INDEX "CITY" ON "CUSTOMERS" "CITY";
    /* Found Index "CompanyName", Options [] */
    CREATE INDEX "COMPANYNAME" ON "CUSTOMERS" "COMPANYNAME";
    /* Found Index "PostalCode", Options [] */
    CREATE INDEX "POSTALCODE" ON "CUSTOMERS" "POSTALCODE";
    /* Found Index "Region", Options [] */
    CREATE INDEX "REGION" ON "CUSTOMERS" "REGION";

/* Original table name is "Employees" */
CREATE TABLE "EMPLOYEES" (
  "EMPLOYEEID" INTEGER NOT NULL /* "EmployeeID" */ ,
  "LASTNAME" VARCHAR(20) NOT NULL /* "LastName" */ ,
  "FIRSTNAME" VARCHAR(10) NOT NULL /* "FirstName" */ ,
  "TITLE" VARCHAR(30) /* "Title" */ ,
  "TITLEOFCOURTESY" VARCHAR(25) /* "TitleOfCourtesy" */ ,
  "BIRTHDATE" TIMESTAMP /* "BirthDate" */ ,
  "HIREDATE" TIMESTAMP /* "HireDate" */ ,
  "ADDRESS" VARCHAR(60) /* "Address" */ ,
  "CITY" VARCHAR(15) /* "City" */ ,
  "REGION" VARCHAR(15) /* "Region" */ ,
  "POSTALCODE" VARCHAR(10) /* "PostalCode" */ ,
  "COUNTRY" VARCHAR(15) /* "Country" */ ,
  "HOMEPHONE" VARCHAR(24) /* "HomePhone" */ ,
  "EXTENSION" CHAR(4) /* "Extension" */ ,
  "PHOTO" BLOB /* "Photo" */ ,
  "NOTES" BLOB SUB_TYPE 1 /* "Notes" */ ,
  "REPORTSTO" INTEGER /* "ReportsTo" */ ,
  "PHOTOPATH" VARCHAR(255) /* "PhotoPath" */
);

    /* Indexes for table "Employees" */
    /* Found Index "PK_Employees", Options [ixPrimary,ixUnique] */
    ALTER TABLE "EMPLOYEES" ADD CONSTRAINT "PK_EMPLOYEES" PRIMARY KEY ("EMPLOYEEID");
    /* Found Index "LastName", Options [] */
    CREATE INDEX "LASTNAME" ON "EMPLOYEES" "LASTNAME";
    /* Found Index "PostalCode", Options [] */
    /* !  Warning: Duplicated Index Name Found - PostalCode , Replaced To "POSTALCODE1" */
    CREATE INDEX "POSTALCODE1" ON "EMPLOYEES" "POSTALCODE";

    /* Generators for AutoInc fields for table "Employees" */
    /* SELECT  max([Employees].[EmployeeID]) FROM [Employees] */

    CREATE GENERATOR "GEN_EMPLOYEES_EMPLOYEEID";
        SET GENERATOR "GEN_EMPLOYEES_EMPLOYEEID" TO 9;

    SET TERM ^;
    CREATE TRIGGER "TRIG_EMPLOYEES_BI" FOR "EMPLOYEES" BEFORE INSERT
    AS BEGIN
      IF(NEW."EMPLOYEEID" IS NULL) THEN NEW."EMPLOYEEID" = GEN_ID("GEN_EMPLOYEES_EMPLOYEEID",1);
    END ^
    SET TERM ;^

/* Original table name is "EmployeeTerritories" */
CREATE TABLE "EMPLOYEETERRITORIES" (
  "EMPLOYEEID" INTEGER NOT NULL /* "EmployeeID" */ ,
  "TERRITORYID" VARCHAR(20) NOT NULL /* "TerritoryID" */
);

    /* Indexes for table "EmployeeTerritories" */
    /* Found Index "PK_EmployeeTerritories", Options [ixPrimary,ixUnique] */
    ALTER TABLE "EMPLOYEETERRITORIES" ADD CONSTRAINT "PK_EMPLOYEETERRITORIES" PRIMARY KEY ("EMPLOYEEID");

/* Original table name is "Invoices" */
CREATE TABLE "INVOICES" (
  "SHIPNAME" VARCHAR(40) /* "ShipName" */ ,
  "SHIPADDRESS" VARCHAR(60) /* "ShipAddress" */ ,
  "SHIPCITY" VARCHAR(15) /* "ShipCity" */ ,
  "SHIPREGION" VARCHAR(15) /* "ShipRegion" */ ,
  "SHIPPOSTALCODE" VARCHAR(10) /* "ShipPostalCode" */ ,
  "SHIPCOUNTRY" VARCHAR(15) /* "ShipCountry" */ ,
  "CUSTOMERID" CHAR(5) /* "CustomerID" */ ,
  "CUSTOMERNAME" VARCHAR(40) NOT NULL /* "CustomerName" */ ,
  "ADDRESS" VARCHAR(60) /* "Address" */ ,
  "CITY" VARCHAR(15) /* "City" */ ,
  "REGION" VARCHAR(15) /* "Region" */ ,
  "POSTALCODE" VARCHAR(10) /* "PostalCode" */ ,
  "COUNTRY" VARCHAR(15) /* "Country" */ ,
  "SALESPERSON" VARCHAR(31) NOT NULL /* "Salesperson" */ ,
  "ORDERID" INTEGER NOT NULL /* "OrderID" */ ,
  "ORDERDATE" TIMESTAMP /* "OrderDate" */ ,
  "REQUIREDDATE" TIMESTAMP /* "RequiredDate" */ ,
  "SHIPPEDDATE" TIMESTAMP /* "ShippedDate" */ ,
  "SHIPPERNAME" VARCHAR(40) NOT NULL /* "ShipperName" */ ,
  "PRODUCTID" INTEGER NOT NULL /* "ProductID" */ ,
  "PRODUCTNAME" VARCHAR(40) NOT NULL /* "ProductName" */ ,
  "UNITPRICE" NUMERIC(15,4) NOT NULL /* "UnitPrice" */ ,
  "QUANTITY" SMALLINT NOT NULL /* "Quantity" */ ,
  "DISCOUNT" FLOAT NOT NULL /* "Discount" */ ,
  "EXTENDEDPRICE" NUMERIC(15,4) /* "ExtendedPrice" */ ,
  "FREIGHT" NUMERIC(15,4) /* "Freight" */
);

    /* Generators for AutoInc fields for table "Invoices" */
    /* SELECT  max([Invoices].[OrderID]) FROM [Invoices] */

    CREATE GENERATOR "GEN_INVOICES_ORDERID";
        SET GENERATOR "GEN_INVOICES_ORDERID" TO 11077;

    SET TERM ^;
    CREATE TRIGGER "TRIG_INVOICES_BI" FOR "INVOICES" BEFORE INSERT
    AS BEGIN
      IF(NEW."ORDERID" IS NULL) THEN NEW."ORDERID" = GEN_ID("GEN_INVOICES_ORDERID",1);
    END ^
    SET TERM ;^

/* Original table name is "Order Details" */
CREATE TABLE "ORDERDETAILS" (
  "ORDERID" INTEGER NOT NULL /* "OrderID" */ ,
  "PRODUCTID" INTEGER NOT NULL /* "ProductID" */ ,
  "UNITPRICE" NUMERIC(15,4) NOT NULL /* "UnitPrice" */ ,
  "QUANTITY" SMALLINT NOT NULL /* "Quantity" */ ,
  "DISCOUNT" FLOAT NOT NULL /* "Discount" */
);

    /* Indexes for table "Order Details" */
    /* Found Index "PK_Order_Details", Options [ixPrimary,ixUnique] */
    ALTER TABLE "ORDERDETAILS" ADD CONSTRAINT "PK_ORDER_DETAILS" PRIMARY KEY ("ORDERID");

/* Original table name is "Order Details Extended" */
CREATE TABLE "ORDERDETAILSEXTENDED" (
  "ORDERID" INTEGER NOT NULL /* "OrderID" */ ,
  "PRODUCTID" INTEGER NOT NULL /* "ProductID" */ ,
  "PRODUCTNAME" VARCHAR(40) NOT NULL /* "ProductName" */ ,
  "UNITPRICE" NUMERIC(15,4) NOT NULL /* "UnitPrice" */ ,
  "QUANTITY" SMALLINT NOT NULL /* "Quantity" */ ,
  "DISCOUNT" FLOAT NOT NULL /* "Discount" */ ,
  "EXTENDEDPRICE" NUMERIC(15,4) /* "ExtendedPrice" */
);

/* Original table name is "Order Subtotals" */
CREATE TABLE "ORDERSUBTOTALS" (
  "ORDERID" INTEGER NOT NULL /* "OrderID" */ ,
  "SUBTOTAL" NUMERIC(15,4) /* "Subtotal" */
);

/* Original table name is "Orders" */
CREATE TABLE "ORDERS" (
  "ORDERID" INTEGER NOT NULL /* "OrderID" */ ,
  "CUSTOMERID" CHAR(5) /* "CustomerID" */ ,
  "EMPLOYEEID" INTEGER /* "EmployeeID" */ ,
  "ORDERDATE" TIMESTAMP /* "OrderDate" */ ,
  "REQUIREDDATE" TIMESTAMP /* "RequiredDate" */ ,
  "SHIPPEDDATE" TIMESTAMP /* "ShippedDate" */ ,
  "SHIPVIA" INTEGER /* "ShipVia" */ ,
  "FREIGHT" NUMERIC(15,4) /* "Freight" */ ,
  "SHIPNAME" VARCHAR(40) /* "ShipName" */ ,
  "SHIPADDRESS" VARCHAR(60) /* "ShipAddress" */ ,
  "SHIPCITY" VARCHAR(15) /* "ShipCity" */ ,
  "SHIPREGION" VARCHAR(15) /* "ShipRegion" */ ,
  "SHIPPOSTALCODE" VARCHAR(10) /* "ShipPostalCode" */ ,
  "SHIPCOUNTRY" VARCHAR(15) /* "ShipCountry" */
);

    /* Indexes for table "Orders" */
    /* Found Index "PK_Orders", Options [ixPrimary,ixUnique] */
    ALTER TABLE "ORDERS" ADD CONSTRAINT "PK_ORDERS" PRIMARY KEY ("ORDERID");
    /* Found Index "CustomerID", Options [] */
    CREATE INDEX "CUSTOMERID" ON "ORDERS" "CUSTOMERID";
    /* Found Index "CustomersOrders", Options [] */
    CREATE INDEX "CUSTOMERSORDERS" ON "ORDERS" "CUSTOMERID";
    /* Found Index "EmployeeID", Options [] */
    CREATE INDEX "EMPLOYEEID" ON "ORDERS" "EMPLOYEEID";
    /* Found Index "EmployeesOrders", Options [] */
    CREATE INDEX "EMPLOYEESORDERS" ON "ORDERS" "EMPLOYEEID";
    /* Found Index "OrderDate", Options [] */
    CREATE INDEX "ORDERDATE" ON "ORDERS" "ORDERDATE";
    /* Found Index "ShippedDate", Options [] */
    CREATE INDEX "SHIPPEDDATE" ON "ORDERS" "SHIPPEDDATE";
    /* Found Index "ShippersOrders", Options [] */
    CREATE INDEX "SHIPPERSORDERS" ON "ORDERS" "SHIPVIA";
    /* Found Index "ShipPostalCode", Options [] */
    CREATE INDEX "SHIPPOSTALCODE" ON "ORDERS" "SHIPPOSTALCODE";

    /* Generators for AutoInc fields for table "Orders" */
    /* SELECT  max([Orders].[OrderID]) FROM [Orders] */

    CREATE GENERATOR "GEN_ORDERS_ORDERID";
        SET GENERATOR "GEN_ORDERS_ORDERID" TO 11077;

    SET TERM ^;
    CREATE TRIGGER "TRIG_ORDERS_BI" FOR "ORDERS" BEFORE INSERT
    AS BEGIN
      IF(NEW."ORDERID" IS NULL) THEN NEW."ORDERID" = GEN_ID("GEN_ORDERS_ORDERID",1);
    END ^
    SET TERM ;^

/* Original table name is "Orders Qry" */
CREATE TABLE "ORDERSQRY" (
  "ORDERID" INTEGER NOT NULL /* "OrderID" */ ,
  "CUSTOMERID" CHAR(5) /* "CustomerID" */ ,
  "EMPLOYEEID" INTEGER /* "EmployeeID" */ ,
  "ORDERDATE" TIMESTAMP /* "OrderDate" */ ,
  "REQUIREDDATE" TIMESTAMP /* "RequiredDate" */ ,
  "SHIPPEDDATE" TIMESTAMP /* "ShippedDate" */ ,
  "SHIPVIA" INTEGER /* "ShipVia" */ ,
  "FREIGHT" NUMERIC(15,4) /* "Freight" */ ,
  "SHIPNAME" VARCHAR(40) /* "ShipName" */ ,
  "SHIPADDRESS" VARCHAR(60) /* "ShipAddress" */ ,
  "SHIPCITY" VARCHAR(15) /* "ShipCity" */ ,
  "SHIPREGION" VARCHAR(15) /* "ShipRegion" */ ,
  "SHIPPOSTALCODE" VARCHAR(10) /* "ShipPostalCode" */ ,
  "SHIPCOUNTRY" VARCHAR(15) /* "ShipCountry" */ ,
  "COMPANYNAME" VARCHAR(40) NOT NULL /* "CompanyName" */ ,
  "ADDRESS" VARCHAR(60) /* "Address" */ ,
  "CITY" VARCHAR(15) /* "City" */ ,
  "REGION" VARCHAR(15) /* "Region" */ ,
  "POSTALCODE" VARCHAR(10) /* "PostalCode" */ ,
  "COUNTRY" VARCHAR(15) /* "Country" */
);

    /* Generators for AutoInc fields for table "Orders Qry" */
    /* SELECT  max([Orders Qry].[OrderID]) FROM [Orders Qry] */

    CREATE GENERATOR "GEN_ORDERSQRY_ORDERID";
        SET GENERATOR "GEN_ORDERSQRY_ORDERID" TO 11077;

    SET TERM ^;
    CREATE TRIGGER "TRIG_ORDERSQRY_BI" FOR "ORDERSQRY" BEFORE INSERT
    AS BEGIN
      IF(NEW."ORDERID" IS NULL) THEN NEW."ORDERID" = GEN_ID("GEN_ORDERSQRY_ORDERID",1);
    END ^
    SET TERM ;^

/* Original table name is "Product Sales for 1997" */
CREATE TABLE "PRODUCTSALESFOR1997" (
  "CATEGORYNAME" VARCHAR(15) NOT NULL /* "CategoryName" */ ,
  "PRODUCTNAME" VARCHAR(40) NOT NULL /* "ProductName" */ ,
  "PRODUCTSALES" NUMERIC(15,4) /* "ProductSales" */
);

/* Original table name is "Products" */
CREATE TABLE "PRODUCTS" (
  "PRODUCTID" INTEGER NOT NULL /* "ProductID" */ ,
  "PRODUCTNAME" VARCHAR(40) NOT NULL /* "ProductName" */ ,
  "SUPPLIERID" INTEGER /* "SupplierID" */ ,
  "CATEGORYID" INTEGER /* "CategoryID" */ ,
  "QUANTITYPERUNIT" VARCHAR(20) /* "QuantityPerUnit" */ ,
  "UNITPRICE" NUMERIC(15,4) /* "UnitPrice" */ ,
  "UNITSINSTOCK" SMALLINT /* "UnitsInStock" */ ,
  "UNITSONORDER" SMALLINT /* "UnitsOnOrder" */ ,
  "REORDERLEVEL" SMALLINT /* "ReorderLevel" */ ,
  "DISCONTINUED" T_YESNO NOT NULL /* "Discontinued" */
);

    /* Indexes for table "Products" */
    /* Found Index "PK_Products", Options [ixPrimary,ixUnique] */
    ALTER TABLE "PRODUCTS" ADD CONSTRAINT "PK_PRODUCTS" PRIMARY KEY ("PRODUCTID");
    /* Found Index "CategoriesProducts", Options [] */
    CREATE INDEX "CATEGORIESPRODUCTS" ON "PRODUCTS" "CATEGORYID";
    /* Found Index "CategoryID", Options [] */
    CREATE INDEX "CATEGORYID" ON "PRODUCTS" "CATEGORYID";
    /* Found Index "ProductName", Options [] */
    CREATE INDEX "PRODUCTNAME" ON "PRODUCTS" "PRODUCTNAME";
    /* Found Index "SupplierID", Options [] */
    CREATE INDEX "SUPPLIERID" ON "PRODUCTS" "SUPPLIERID";
    /* Found Index "SuppliersProducts", Options [] */
    CREATE INDEX "SUPPLIERSPRODUCTS" ON "PRODUCTS" "SUPPLIERID";

    /* Generators for AutoInc fields for table "Products" */
    /* SELECT  max([Products].[ProductID]) FROM [Products] */

    CREATE GENERATOR "GEN_PRODUCTS_PRODUCTID";
        SET GENERATOR "GEN_PRODUCTS_PRODUCTID" TO 77;

    SET TERM ^;
    CREATE TRIGGER "TRIG_PRODUCTS_BI" FOR "PRODUCTS" BEFORE INSERT
    AS BEGIN
      IF(NEW."PRODUCTID" IS NULL) THEN NEW."PRODUCTID" = GEN_ID("GEN_PRODUCTS_PRODUCTID",1);
    END ^
    SET TERM ;^

/* Original table name is "Products Above Average Price" */
CREATE TABLE "PRODUCTSABOVEAVERAGEPRICE" (
  "PRODUCTNAME" VARCHAR(40) NOT NULL /* "ProductName" */ ,
  "UNITPRICE" NUMERIC(15,4) /* "UnitPrice" */
);

/* Original table name is "Products by Category" */
CREATE TABLE "PRODUCTSBYCATEGORY" (
  "CATEGORYNAME" VARCHAR(15) NOT NULL /* "CategoryName" */ ,
  "PRODUCTNAME" VARCHAR(40) NOT NULL /* "ProductName" */ ,
  "QUANTITYPERUNIT" VARCHAR(20) /* "QuantityPerUnit" */ ,
  "UNITSINSTOCK" SMALLINT /* "UnitsInStock" */ ,
  "DISCONTINUED" T_YESNO NOT NULL /* "Discontinued" */
);

/* Original table name is "Quarterly Orders" */
CREATE TABLE "QUARTERLYORDERS" (
  "CUSTOMERID" CHAR(5) /* "CustomerID" */ ,
  "COMPANYNAME" VARCHAR(40) /* "CompanyName" */ ,
  "CITY" VARCHAR(15) /* "City" */ ,
  "COUNTRY" VARCHAR(15) /* "Country" */
);

/* Original table name is "Region" */
CREATE TABLE "REGION" (
  "REGIONID" INTEGER NOT NULL /* "RegionID" */ ,
  "REGIONDESCRIPTION" CHAR(50) NOT NULL /* "RegionDescription" */
);

    /* Indexes for table "Region" */
    /* Found Index "PK_Region", Options [ixPrimary,ixUnique] */
    ALTER TABLE "REGION" ADD CONSTRAINT "PK_REGION" PRIMARY KEY ("REGIONID");

/* Original table name is "Sales by Category" */
CREATE TABLE "SALESBYCATEGORY" (
  "CATEGORYID" INTEGER NOT NULL /* "CategoryID" */ ,
  "CATEGORYNAME" VARCHAR(15) NOT NULL /* "CategoryName" */ ,
  "PRODUCTNAME" VARCHAR(40) NOT NULL /* "ProductName" */ ,
  "PRODUCTSALES" NUMERIC(15,4) /* "ProductSales" */
);

/* Original table name is "Sales Totals by Amount" */
CREATE TABLE "SALESTOTALSBYAMOUNT" (
  "SALEAMOUNT" NUMERIC(15,4) /* "SaleAmount" */ ,
  "ORDERID" INTEGER NOT NULL /* "OrderID" */ ,
  "COMPANYNAME" VARCHAR(40) NOT NULL /* "CompanyName" */ ,
  "SHIPPEDDATE" TIMESTAMP /* "ShippedDate" */
);

    /* Generators for AutoInc fields for table "Sales Totals by Amount" */
    /* SELECT  max([Sales Totals by Amount].[OrderID]) FROM [Sales Totals by Amount] */

    CREATE GENERATOR "GEN_SALESTOTALSBYAMOUNT_ORDERID";
        SET GENERATOR "GEN_SALESTOTALSBYAMOUNT_ORDERID" TO 10801;

    SET TERM ^;
    CREATE TRIGGER "TRIG_SALESTOTALSBYAMOUNT_BI" FOR "SALESTOTALSBYAMOUNT" BEFORE INSERT
    AS BEGIN
      IF(NEW."ORDERID" IS NULL) THEN NEW."ORDERID" = GEN_ID("GEN_SALESTOTALSBYAMOUNT_ORDERID",1);
    END ^
    SET TERM ;^

/* Original table name is "Shippers" */
CREATE TABLE "SHIPPERS" (
  "SHIPPERID" INTEGER NOT NULL /* "ShipperID" */ ,
  "COMPANYNAME" VARCHAR(40) NOT NULL /* "CompanyName" */ ,
  "PHONE" VARCHAR(24) /* "Phone" */
);

    /* Indexes for table "Shippers" */
    /* Found Index "PK_Shippers", Options [ixPrimary,ixUnique] */
    ALTER TABLE "SHIPPERS" ADD CONSTRAINT "PK_SHIPPERS" PRIMARY KEY ("SHIPPERID");

    /* Generators for AutoInc fields for table "Shippers" */
    /* SELECT  max([Shippers].[ShipperID]) FROM [Shippers] */

    CREATE GENERATOR "GEN_SHIPPERS_SHIPPERID";
        SET GENERATOR "GEN_SHIPPERS_SHIPPERID" TO 3;

    SET TERM ^;
    CREATE TRIGGER "TRIG_SHIPPERS_BI" FOR "SHIPPERS" BEFORE INSERT
    AS BEGIN
      IF(NEW."SHIPPERID" IS NULL) THEN NEW."SHIPPERID" = GEN_ID("GEN_SHIPPERS_SHIPPERID",1);
    END ^
    SET TERM ;^

/* Original table name is "Summary of Sales by Quarter" */
CREATE TABLE "SUMMARYOFSALESBYQUARTER" (
  "SHIPPEDDATE" TIMESTAMP /* "ShippedDate" */ ,
  "ORDERID" INTEGER NOT NULL /* "OrderID" */ ,
  "SUBTOTAL" NUMERIC(15,4) /* "Subtotal" */
);

    /* Generators for AutoInc fields for table "Summary of Sales by Quarter" */
    /* SELECT  max([Summary of Sales by Quarter].[OrderID]) FROM [Summary of Sales by Quarter] */

    CREATE GENERATOR "GEN_SUMMARYOFSALESBYQUARTER_ORDERID";
        SET GENERATOR "GEN_SUMMARYOFSALESBYQUARTER_ORDERID" TO 11069;

    SET TERM ^;
    CREATE TRIGGER "TRIG_SUMMARYOFSALESBYQUARTER_BI" FOR "SUMMARYOFSALESBYQUARTER" BEFORE INSERT
    AS BEGIN
      IF(NEW."ORDERID" IS NULL) THEN NEW."ORDERID" = GEN_ID("GEN_SUMMARYOFSALESBYQUARTER_ORDERID",1);
    END ^
    SET TERM ;^

/* Original table name is "Summary of Sales by Year" */
CREATE TABLE "SUMMARYOFSALESBYYEAR" (
  "SHIPPEDDATE" TIMESTAMP /* "ShippedDate" */ ,
  "ORDERID" INTEGER NOT NULL /* "OrderID" */ ,
  "SUBTOTAL" NUMERIC(15,4) /* "Subtotal" */
);

    /* Generators for AutoInc fields for table "Summary of Sales by Year" */
    /* SELECT  max([Summary of Sales by Year].[OrderID]) FROM [Summary of Sales by Year] */

    CREATE GENERATOR "GEN_SUMMARYOFSALESBYYEAR_ORDERID";
        SET GENERATOR "GEN_SUMMARYOFSALESBYYEAR_ORDERID" TO 11069;

    SET TERM ^;
    CREATE TRIGGER "TRIG_SUMMARYOFSALESBYYEAR_BI" FOR "SUMMARYOFSALESBYYEAR" BEFORE INSERT
    AS BEGIN
      IF(NEW."ORDERID" IS NULL) THEN NEW."ORDERID" = GEN_ID("GEN_SUMMARYOFSALESBYYEAR_ORDERID",1);
    END ^
    SET TERM ;^

/* Original table name is "Suppliers" */
CREATE TABLE "SUPPLIERS" (
  "SUPPLIERID" INTEGER NOT NULL /* "SupplierID" */ ,
  "COMPANYNAME" VARCHAR(40) NOT NULL /* "CompanyName" */ ,
  "CONTACTNAME" VARCHAR(30) /* "ContactName" */ ,
  "CONTACTTITLE" VARCHAR(30) /* "ContactTitle" */ ,
  "ADDRESS" VARCHAR(60) /* "Address" */ ,
  "CITY" VARCHAR(15) /* "City" */ ,
  "REGION" VARCHAR(15) /* "Region" */ ,
  "POSTALCODE" VARCHAR(10) /* "PostalCode" */ ,
  "COUNTRY" VARCHAR(15) /* "Country" */ ,
  "PHONE" VARCHAR(24) /* "Phone" */ ,
  "FAX" VARCHAR(24) /* "Fax" */ ,
  "HOMEPAGE" BLOB SUB_TYPE 1 /* "HomePage" */
);

    /* Indexes for table "Suppliers" */
    /* Found Index "PK_Suppliers", Options [ixPrimary,ixUnique] */
    ALTER TABLE "SUPPLIERS" ADD CONSTRAINT "PK_SUPPLIERS" PRIMARY KEY ("SUPPLIERID");
    /* Found Index "CompanyName", Options [] */
    /* !  Warning: Duplicated Index Name Found - CompanyName , Replaced To "COMPANYNAME1" */
    CREATE INDEX "COMPANYNAME1" ON "SUPPLIERS" "COMPANYNAME";
    /* Found Index "PostalCode", Options [] */
    /* !  Warning: Duplicated Index Name Found - PostalCode , Replaced To "POSTALCODE2" */
    CREATE INDEX "POSTALCODE2" ON "SUPPLIERS" "POSTALCODE";

    /* Generators for AutoInc fields for table "Suppliers" */
    /* SELECT  max([Suppliers].[SupplierID]) FROM [Suppliers] */

    CREATE GENERATOR "GEN_SUPPLIERS_SUPPLIERID";
        SET GENERATOR "GEN_SUPPLIERS_SUPPLIERID" TO 29;

    SET TERM ^;
    CREATE TRIGGER "TRIG_SUPPLIERS_BI" FOR "SUPPLIERS" BEFORE INSERT
    AS BEGIN
      IF(NEW."SUPPLIERID" IS NULL) THEN NEW."SUPPLIERID" = GEN_ID("GEN_SUPPLIERS_SUPPLIERID",1);
    END ^
    SET TERM ;^

/* Original table name is "Territories" */
CREATE TABLE "TERRITORIES" (
  "TERRITORYID" VARCHAR(20) NOT NULL /* "TerritoryID" */ ,
  "TERRITORYDESCRIPTION" CHAR(50) NOT NULL /* "TerritoryDescription" */ ,
  "REGIONID" INTEGER NOT NULL /* "RegionID" */
);

    /* Indexes for table "Territories" */
    /* Found Index "PK_Territories", Options [ixPrimary,ixUnique] */
    ALTER TABLE "TERRITORIES" ADD CONSTRAINT "PK_TERRITORIES" PRIMARY KEY ("TERRITORYID");


/* !  Warnings - 3 */
